summaryrefslogtreecommitdiff
path: root/fftw/build.sh
diff options
context:
space:
mode:
authorJoe Hunkeler <jhunk@stsci.edu>2016-03-23 17:00:53 -0400
committerJoseph Hunkeler <jhunk@stsci.edu>2016-04-19 11:17:20 -0400
commitf46565fe6f3eefd6a8eb1cec7179164f2800b042 (patch)
treeb57ece5acd84c9a8c9235818b975a439c8ae3df9 /fftw/build.sh
downloadastroconda-dev-f46565fe6f3eefd6a8eb1cec7179164f2800b042.tar.gz
Initial commit
Diffstat (limited to 'fftw/build.sh')
-rw-r--r--fftw/build.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/fftw/build.sh b/fftw/build.sh
new file mode 100644
index 0000000..3cad563
--- /dev/null
+++ b/fftw/build.sh
@@ -0,0 +1,14 @@
+
+export modes="--enable-single --enable-long-double"
+export FFTW_CONFIGURE="./configure --prefix=$PREFIX --disable-static --enable-shared --enable-threads "
+
+function fftw_build
+{
+$FFTW_CONFIGURE "$@" || exit 1
+make -j$CPU_COUNT || exit 1
+make install || exit 1
+}
+
+fftw_build
+
+for mode in $modes; do fftw_build $mode; done \ No newline at end of file